﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Threading;

namespace MahoutDataConverter
{
    class Program
    {
        static void Main(string[] args)
        {
            string lineToWrite = string.Empty;
            string[] delimitedLine = new string[4];
            StreamReader ratings = new StreamReader("ratings.dat");
            StreamReader users = new StreamReader("users.dat");
            StreamWriter ratingsWriter = new StreamWriter("ConvertedRatings.txt");
            StreamWriter usersWriter = new StreamWriter("ConvertedUsers.txt");
            try
            {
                while (!ratings.EndOfStream)
                {
                    delimitedLine = ratings.ReadLine().Replace("::", ",").Split(',');
                    lineToWrite = delimitedLine[0] + "," + delimitedLine[1] + "," + delimitedLine[2];
                    Console.WriteLine(lineToWrite);
                    ratingsWriter.WriteLine(lineToWrite);
                }

                //Print status; set 3 second pause for user to read
                Console.WriteLine();
                Console.WriteLine("Ratings conversion complete");
                Console.WriteLine("Now converting users");
                Thread.Sleep(3000);

                while (!users.EndOfStream)
                {
                    lineToWrite = users.ReadLine().Split(':')[0];
                    Console.WriteLine("User: "+lineToWrite);
                    usersWriter.WriteLine(lineToWrite);
                }

                Console.WriteLine("Files Converted");
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }


            ratings.Close();
            users.Close();
            ratingsWriter.Close();
            usersWriter.Close();
            Console.ReadLine();
        }
    }
}
